<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven Ear Plug-in Goals</title>
    <author email="nathan.coast@blueyonder.co.uk">Nathan Coast</author>
  </properties>

  <body>
    <goals>
      <goal>
        <name>ear</name>
        <description>
            Default goal - see ear:ear
        </description>
      </goal>
      <goal>
        <name>ear:ear</name>
        <description>
            constructs the ear file from the compiled sources 
            and resources.
        </description>
      </goal>
      <goal>
        <name>ear:install</name>
        <description>
            Installs the generated ear file into the local repository
        </description>
      </goal>    
      <goal>
        <name>ear:install-snapshot</name>
        <description>Install the snapshot version of the ear in the local repository</description>
      </goal>      
      <goal>
        <name>ear:deploy</name>
        <description>Deploy the ear to the remote repository(ies)</description>
      </goal>
      <goal>
        <name>ear:deploy-snapshot</name>
        <description>Deploy the snapshot version of the ear to the remote repository(ies)</description>
      </goal>    
      <goal>
        <name>ear:generate-ear-descriptor</name>
        <description>
            Generates application.xml 
            file based on information from POM
        </description>
      </goal>
    </goals>  
 </body>
</document>
